curl https://zeplo.ai/api/training/1/qa \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"siteId": 1,
"question": "What are your business hours?",
"answer": "We are open Monday to Friday, 9 AM to 6 PM IST.",
"category": "general",
"createdAt": "2026-01-01T08:00:00Z"
}
]
}
Knowledge Base & Training
GET Q&A Pairs
Manage question-answer pairs for AI training.
GET
/
api
/
training
/
:siteId
/
qa
curl https://zeplo.ai/api/training/1/qa \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"siteId": 1,
"question": "What are your business hours?",
"answer": "We are open Monday to Friday, 9 AM to 6 PM IST.",
"category": "general",
"createdAt": "2026-01-01T08:00:00Z"
}
]
}
Get Q&A pairs
GET /api/training/:siteId/qa
Manage question-answer pairs for the AI chatbot knowledge base.
Headers
string
required
Session cookie (login via POST /api/auth/login)
integer
required
Site ID.
curl https://zeplo.ai/api/training/1/qa \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"siteId": 1,
"question": "What are your business hours?",
"answer": "We are open Monday to Friday, 9 AM to 6 PM IST.",
"category": "general",
"createdAt": "2026-01-01T08:00:00Z"
}
]
}
Create Q&A pair
POST /api/training/:siteId/qa
integer
required
Site ID.
Body parameters
string
required
The question text.
string
required
The answer text.
string
Category for the Q&A pair.
{
"question": "How do I track my order?",
"answer": "You can track your order by visiting our website and entering your order number.",
"category": "orders"
}
curl -X POST https://zeplo.ai/api/training/1/qa \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"question": "How do I track my order?",
"answer": "You can track your order by visiting our website and entering your order number.",
"category": "orders"
}'
Update Q&A pair
PUT /api/training/qa/:qaId
integer
required
Q&A pair ID.
Body parameters
string
Updated question text.
string
Updated answer text.
{
"question": "Updated question?",
"answer": "Updated answer."
}
curl -X PUT https://zeplo.ai/api/training/qa/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"question": "Updated question?",
"answer": "Updated answer."
}'
Delete Q&A pair
DELETE /api/training/qa/:qaId
integer
required
Q&A pair ID.
curl -X DELETE https://zeplo.ai/api/training/qa/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
